<?php

 
session_start();
 
// Check if the user is logged in, if not then redirect him to login page
if(!isset($_SESSION["loggedin"]) || $_SESSION["loggedin"] !== true){
    header('location:login.php');
    exit;
}

// Include config file
require_once "con.php";
?>

<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>Dashboard</title>

    <!-- Custom fonts for this template-->
    <link href="vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
    <link
        href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i"
        rel="stylesheet">

    <!-- Custom styles for this template-->
    <link href="css/sb-admin-2.min.css" rel="stylesheet">
    
    	<script type="text/javascript" src="tinymce/tinymce.min.js"></script>
	
	<!-- Custom fonts for this template-->
    <link href="vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link
        href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i"
        rel="stylesheet">

	<script type="text/javascript">
		tinymce.init({
  selector: 'textarea#tinymce',
  plugins:
    "powerpaste casechange searchreplace autolink directionality advcode visualblocks visualchars image link media mediaembed codesample table charmap pagebreak nonbreaking anchor tableofcontents insertdatetime advlist lists checklist wordcount tinymcespellchecker editimage help formatpainter permanentpen charmap linkchecker emoticons advtable export autosave",
  toolbar:
    "undo redo print spellcheckdialog formatpainter | blocks fontfamily fontsize | bold italic underline forecolor backcolor | link image | alignleft aligncenter alignright alignjustify lineheight | checklist bullist numlist indent outdent | removeformat",
  height: "700px",
});
	        </script>

</head>

<body id="page-top">
    
     <!-- Page Wrapper -->
    <div id="wrapper">
<?php include "templates/newbar.php" ?>
        <!-- End of Sidebar -->

    
    
<!-- Content Wrapper -->
        <div id="content-wrapper" class="d-flex flex-column">

            <!-- Main Content -->
            <div id="content">    
    
    
    


                <!-- Begin Page Content -->
                <div class="container-fluid">

                    <!-- Page Heading -->
                    <div class="d-sm-flex align-items-center justify-content-between mb-4">
                        <h1 class="h3 mb-0 text-gray-800">Dashboard</h1>
                        <a href="#" class="d-none d-sm-inline-block btn btn-sm btn-primary shadow-sm"><i
                                class="fas fa-download fa-sm text-white-50"></i> Generate Report</a>
                    </div>
                    <!-- Content Row -->
                    <div class="row">

                        <!-- Content Column -->
                        <div class="col-lg-9 mb-4">

                            <!-- Project Card Example -->
                            <div class="card shadow mb-4">
                                <div class="card-header py-3">
                                    <h6 class="m-0 font-weight-bold text-primary">Add New Project</h6>
                                </div>
                                <div class="card-body">
                                  
                                    <div class="mb-4">
           <div class="container">                            
                                  <?php
                    // Include config file
                    
                    
                    // Attempt select query execution
                    $sql = "SELECT * FROM projects ORDER BY id DESC";
                    
                    if($result = mysqli_query($link, $sql)){
                        if(mysqli_num_rows($result) > 0){
                            echo "<table class='table table-light table-striped'>";
                                echo "<thead >";
                                    echo "<tr>";
                                        echo "<th></th>";
                                        echo "<th>Developer Name</th>";
                                        echo "<th>Project Name</th>";
                                        echo "<th>Location</th>";
                                        echo "<th>Kind</th>";
                                        echo "<th></th>";
                                        echo "<th></th>";
                                        echo "<th></th>";
                                        
                                        
                                    echo "</tr>";
                                echo "</thead>";
                                echo "<tbody>";
                                while($row = mysqli_fetch_array($result)){
                                    echo "<tr>";
                                        echo "<td><img src='user_images/" . $row['image'] . "' width='100px'/></td>";
                                        
                                        
                                        
                                      
                                        echo "<td>" . $row['developername'] . "</td>";
                                        echo "<td>" . $row['projectname'] . "</td>";
                                        echo "<td>" . $row['location'] . "</td>";
                                        echo "<td>" . $row['kind'] . "</td>";
                                        echo "<td>";
                                            echo "<a href='../projects.php?id=". $row['id'] ."' title='View Project' data-toggle='tooltip' Target='blank'><span class='fa fa-eye'></span></a>";
                                       
                                        echo "</td>";
                                        
                                        echo "<td>";
                                            echo "<a href='updproject.php?id=". $row['id'] ."' title='Update Project' data-toggle='tooltip'><span class='fa fa-pencil'></span></a>";
                                       
                                        echo "</td>";
                                        
                                        
                                        echo "<td>";
                                            echo "<a href='deleteproject.php?id=". $row['id'] ."' title='Delete Project' data-toggle='tooltip'><span class='fa fa-trash'></span></a>";
                                       
                                        echo "</td>";
                                        
                                       
                                    echo "</tr>";
                                }
                                echo "</tbody>";                            
                            echo "</table>";
                            // Free result set
                            mysqli_free_result($result);
                        } else{
                            echo "<p class='lead'><em>No records were found.</em></p>";
                        }
                    } else{
                        echo "ERROR: Could not able to execute $sql. " . mysqli_error($link);
                    }
 
                    // Close connection
                    mysqli_close($link);
					

	
                    ?>
                </div>                       
                                        
                                    </div>
                                   
                                   
                                </div>
                            </div>
                            

                        </div>
                        
                         <!-- Content Column -->
                       
</div>
</div>
</div>
</div>

<!-- Scroll to Top Button-->
    <a class="scroll-to-top rounded" href="#page-top">
        <i class="fas fa-angle-up"></i>
    </a>


    <!-- Bootstrap core JavaScript-->
    <script src="vendor/jquery/jquery.min.js"></script>
    <script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>

    <!-- Core plugin JavaScript-->
    <script src="vendor/jquery-easing/jquery.easing.min.js"></script>

    <!-- Custom scripts for all pages-->
    <script src="js/sb-admin-2.min.js"></script>

    <!-- Page level plugins -->
    <script src="vendor/chart.js/Chart.min.js"></script>

    <!-- Page level custom scripts -->
    <script src="js/demo/chart-area-demo.js"></script>
    <script src="js/demo/chart-pie-demo.js"></script>
</body>

</html>